Bug 24617 - Add title notes count in staff detail (following 24530)
Summary: Add title notes count in staff detail (following 24530)
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 24530
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-10 08:13 UTC by Marcel de Rooy
Modified: 2020-03-31 22:48 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24617: Add number to Descriptions in catalogue detail view (1.67 KB, patch)
2020-02-24 14:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24617: Add number to Descriptions in catalogue detail view (1.68 KB, patch)
2020-02-24 14:12 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24617: Add number to Descriptions in catalogue detail view (1.70 KB, patch)
2020-02-29 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-02-10 08:13:43 UTC

    
Comment 1 Marcel de Rooy 2020-02-24 14:08:58 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2020-02-24 14:09:54 UTC
Moving to SO: trivial one liner.
Katrin: Please have a look.
Comment 3 Marcel de Rooy 2020-02-24 14:12:54 UTC
Created attachment 99527 [details] [review]
Bug 24617: Add number to Descriptions in catalogue detail view

Same change as in bug 24530 for OPAC.
Only much easier. No trouble from Syndetics.

Test plan:
Add or remove a few notes from the MARC record (tag 500 etc).
Verify the number is correct on the detail page.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Tested the else part for 'notes' with a [% SET notes = 'test' %] in tt file.
Comment 4 Katrin Fischer 2020-02-25 07:17:34 UTC
Won't the count be  off if there are notes and MARCNOTES?
Comment 5 Marcel de Rooy 2020-02-25 08:19:05 UTC
(In reply to Katrin Fischer from comment #4)
> Won't the count be  off if there are notes and MARCNOTES?

If there are MARCNOTES, the other notes are ignored.
Comment 6 Katrin Fischer 2020-02-25 09:21:04 UTC
Thx, too quick this morning :)
Comment 7 Katrin Fischer 2020-02-29 11:38:08 UTC
Created attachment 99816 [details] [review]
Bug 24617: Add number to Descriptions in catalogue detail view

Same change as in bug 24530 for OPAC.
Only much easier. No trouble from Syndetics.

Test plan:
Add or remove a few notes from the MARC record (tag 500 etc).
Verify the number is correct on the detail page.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Tested the else part for 'notes' with a [% SET notes = 'test' %] in tt file.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2020-03-02 10:43:14 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-03-31 22:48:16 UTC
enhancement not backported to 19.11.x